<?php

namespace ebay\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CheckoutOrderDetailType StructType
 * Meta informations extracted from the WSDL
 * - documentation: This type is deprecated.
 * @subpackage Structs
 * @date 2017-04-07 16
 */
class CheckoutOrderDetailType extends AbstractStructBase
{
    /**
     * The TotalCartMerchandiseCost
     * Meta informations extracted from the WSDL
     * - documentation: This field is deprecated.
     * - minOccurs: 0
     * @var \ebay\StructType\AmountType
     */
    public $TotalCartMerchandiseCost;
    /**
     * The TotalCartShippingCost
     * Meta informations extracted from the WSDL
     * - documentation: This field is deprecated.
     * - minOccurs: 0
     * @var \ebay\StructType\AmountType
     */
    public $TotalCartShippingCost;
    /**
     * The TotalTaxAmount
     * Meta informations extracted from the WSDL
     * - documentation: This field is deprecated.
     * - minOccurs: 0
     * @var \ebay\StructType\AmountType
     */
    public $TotalTaxAmount;
    /**
     * The TotalAmount
     * Meta informations extracted from the WSDL
     * - documentation: This field is deprecated.
     * - minOccurs: 0
     * @var \ebay\StructType\AmountType
     */
    public $TotalAmount;
    /**
     * The any
     * @var \DOMDocument
     */
    public $any;
    /**
     * Constructor method for CheckoutOrderDetailType
     * @uses CheckoutOrderDetailType::setTotalCartMerchandiseCost()
     * @uses CheckoutOrderDetailType::setTotalCartShippingCost()
     * @uses CheckoutOrderDetailType::setTotalTaxAmount()
     * @uses CheckoutOrderDetailType::setTotalAmount()
     * @uses CheckoutOrderDetailType::setAny()
     * @param \ebay\StructType\AmountType $totalCartMerchandiseCost
     * @param \ebay\StructType\AmountType $totalCartShippingCost
     * @param \ebay\StructType\AmountType $totalTaxAmount
     * @param \ebay\StructType\AmountType $totalAmount
     * @param \DOMDocument $any
     */
    public function __construct(\ebay\StructType\AmountType $totalCartMerchandiseCost = null, \ebay\StructType\AmountType $totalCartShippingCost = null, \ebay\StructType\AmountType $totalTaxAmount = null, \ebay\StructType\AmountType $totalAmount = null, \DOMDocument $any = null)
    {
        $this
            ->setTotalCartMerchandiseCost($totalCartMerchandiseCost)
            ->setTotalCartShippingCost($totalCartShippingCost)
            ->setTotalTaxAmount($totalTaxAmount)
            ->setTotalAmount($totalAmount)
            ->setAny($any);
    }
    /**
     * Get TotalCartMerchandiseCost value
     * @return \ebay\StructType\AmountType|null
     */
    public function getTotalCartMerchandiseCost()
    {
        return $this->TotalCartMerchandiseCost;
    }
    /**
     * Set TotalCartMerchandiseCost value
     * @param \ebay\StructType\AmountType $totalCartMerchandiseCost
     * @return \ebay\StructType\CheckoutOrderDetailType
     */
    public function setTotalCartMerchandiseCost(\ebay\StructType\AmountType $totalCartMerchandiseCost = null)
    {
        $this->TotalCartMerchandiseCost = $totalCartMerchandiseCost;
        return $this;
    }
    /**
     * Get TotalCartShippingCost value
     * @return \ebay\StructType\AmountType|null
     */
    public function getTotalCartShippingCost()
    {
        return $this->TotalCartShippingCost;
    }
    /**
     * Set TotalCartShippingCost value
     * @param \ebay\StructType\AmountType $totalCartShippingCost
     * @return \ebay\StructType\CheckoutOrderDetailType
     */
    public function setTotalCartShippingCost(\ebay\StructType\AmountType $totalCartShippingCost = null)
    {
        $this->TotalCartShippingCost = $totalCartShippingCost;
        return $this;
    }
    /**
     * Get TotalTaxAmount value
     * @return \ebay\StructType\AmountType|null
     */
    public function getTotalTaxAmount()
    {
        return $this->TotalTaxAmount;
    }
    /**
     * Set TotalTaxAmount value
     * @param \ebay\StructType\AmountType $totalTaxAmount
     * @return \ebay\StructType\CheckoutOrderDetailType
     */
    public function setTotalTaxAmount(\ebay\StructType\AmountType $totalTaxAmount = null)
    {
        $this->TotalTaxAmount = $totalTaxAmount;
        return $this;
    }
    /**
     * Get TotalAmount value
     * @return \ebay\StructType\AmountType|null
     */
    public function getTotalAmount()
    {
        return $this->TotalAmount;
    }
    /**
     * Set TotalAmount value
     * @param \ebay\StructType\AmountType $totalAmount
     * @return \ebay\StructType\CheckoutOrderDetailType
     */
    public function setTotalAmount(\ebay\StructType\AmountType $totalAmount = null)
    {
        $this->TotalAmount = $totalAmount;
        return $this;
    }
    /**
     * Get any value
     * @uses \DOMDocument::loadXML()
     * @uses \DOMDocument::hasChildNodes()
     * @uses \DOMDocument::saveXML()
     * @uses \DOMNode::item()
     * @uses \ebay\StructType\CheckoutOrderDetailType::setAny()
     * @param bool $asString true: returns XML string, false: returns \DOMDocument
     * @return \DOMDocument|null
     */
    public function getAny($asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof \DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }
        return ($asString && ($this->any instanceof \DOMDocument) && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param \DOMDocument $any
     * @return \ebay\StructType\CheckoutOrderDetailType
     */
    public function setAny(\DOMDocument $any = null)
    {
        $this->any = $any;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \ebay\StructType\CheckoutOrderDetailType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
